Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.interceptors.dynamic
Class CacheFieldInterceptor

    java.lang.Object
      org.jboss.cache.pojo.interceptors.dynamic.CacheFieldInterceptor

All Implemented Interfaces:
  Cloneable, org.jboss.aop.advice.Interceptor, BaseInterceptor

    public class CacheFieldInterceptor

extends Object
implements BaseInterceptor

Main dynamic interceptor to intercept for field replication.

Author:
  Ben Wang

Constructor Summary
`CacheFieldInterceptor()`
`CacheFieldInterceptor(PojoCacheImpl pCache, org.jboss.cache.Fqn fqn, CachedType type)`

Method Summary
`Object` | `clone()`
`PojoInstance` | `getAopInstance()`
`org.jboss.cache.Fqn` | `getFqn()` Get the original fqn that is associated with this interceptor (or advisor).
`String` | `getName()`
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation)`
`void` | `setAopInstance(PojoInstance pojoInstance)`
`void` | `setFqn(org.jboss.cache.Fqn fqn)`
`void` | `setInterceptor(org.jboss.aop.advice.Interceptor intcptr)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheFieldInterceptor

    public CacheFieldInterceptor(PojoCacheImpl pCache,
                                 org.jboss.cache.Fqn fqn,
                                 CachedType type)

### CacheFieldInterceptor

    public CacheFieldInterceptor()

Method Detail

### getAopInstance

    public PojoInstance getAopInstance()

  Specified by:
    `getAopInstance` in interface `BaseInterceptor`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### setInterceptor

    public void setInterceptor(org.jboss.aop.advice.Interceptor intcptr)

  Specified by:
    `setInterceptor` in interface `BaseInterceptor`

### setAopInstance

    public void setAopInstance(PojoInstance pojoInstance)

  Specified by:
    `setAopInstance` in interface `BaseInterceptor`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.Interceptor`

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.jboss.aop.advice.Interceptor`
  Throws:
    `Throwable`

### getFqn

    public org.jboss.cache.Fqn getFqn()

  Description copied from interface: `BaseInterceptor`
  Get the original fqn that is associated with this interceptor (or advisor).

  Specified by:
    `getFqn` in interface `BaseInterceptor`

### setFqn

    public void setFqn(org.jboss.cache.Fqn fqn)

  Specified by:
    `setFqn` in interface `BaseInterceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 JBoss, a division of Red Hat. All Rights Reserved.